Summary: Library providing the Gnome XSLT engine
Name: libxslt
Version: 1.1.17
Release: 4%{?dist}%{?extra_release}.3
License: MIT
Group: Development/Libraries
Source: ftp://xmlsoft.org/XSLT/libxslt-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://xmlsoft.org/XSLT/
Requires: libxml2 >= 2.6.25
BuildRequires: libxml2-devel >= 2.6.25
BuildRequires: python python-devel
BuildRequires: libxml2-python
BuildRequires: libgcrypt-devel
Prefix: %{_prefix}
Docdir: %{_docdir}
Patch0: multilib.patch
Patch1: libexslt-crypto.patch

Patch2: libxslt-Fix-portability-to-upcoming-libxml2-2.9.0.patch
Patch3: libxslt-Fix-generate-id-to-not-expose-object-addresses.patch
Patch4: libxslt-Fix-some-case-of-pattern-parsing-errors.patch
Patch5: libxslt-Fix-a-bug-in-selecting-XSLT-elements.patch
Patch6: libxslt-Fix-default-template-processing-on-namespace-nodes.patch
Patch7: libxslt-Fixed-problem-with-namespace-on-compound-predicate-bug-407731.patch
Patch8: libxslt-Fix-direct-pattern-matching-bug.patch
Patch9: libxslt-Big-fixes-of-pattern-compilations.patch
Patch10: libxslt-fixes-527297-general-patter-comps-fix-and-cleanup-other-cleanups-Daniel.patch
Patch11: libxslt-QName-parsing-fix-for-patterns.patch
Patch12: libxslt-Cleanup-of-the-pattern-compilation-code.patch
Patch13: libxslt-Hardening-of-code-checking-node-types-in-various-entry-point.patch
Patch14: libxslt-Hardening-of-code-checking-node-types-in-EXSLT.patch
Patch15: libxslt-Fix-system-property-with-unknown-namespace.patch
Patch16: libxslt-xsltproc-should-return-an-error-code-if-xinclude-fails.patch
Patch17: libxslt-Fix-a-dictionary-string-usage.patch
Patch18: libxslt-Avoid-a-heap-use-after-free-error.patch
Patch19: libxslt-Extra-patch-for-CVE-2012-2825-on-1.1.17.patch

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.6.25
installed. The xsltproc command is a command line interface to the XSLT engine

%package devel
Summary: Libraries, includes, etc. to embed the Gnome XSLT engine
Group: Development/Libraries
Requires: libxslt = %{version}
Requires: libxml2-devel >= 2.5.6
Requires: libgcrypt-devel
Requires: pkgconfig

%description devel
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.6.25
installed.

%package python
Summary: Python bindings for the libxslt library
Group: Development/Libraries
Requires: libxslt = %{version}
Requires: libxml2 >= 2.6.25
Requires: libxml2-python >= 2.6.25
Requires: %{_libdir}/python%(echo `python -c "import sys; print sys.version[0:3]"`)

%description python
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows to parse sytlesheets, uses the libxml2-python
to load and save XML and HTML files. Direct access to XPath and
the XSLT transformation context are possible to extend the XSLT language
with XPath functions written in Python.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

%build
%configure
make

%install
rm -fr %{buildroot}

%makeinstall

rm -fr $RPM_BUILD_ROOT%{_libdir}/*.la \
       $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/libxsltmod*a

%clean
rm -fr %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS NEWS README Copyright TODO FEATURES
%doc doc/*.html doc/html doc/tutorial doc/tutorial2 doc/*.gif
%doc doc/EXSLT
%doc %{_mandir}/man1/xsltproc.1*
%{_libdir}/lib*.so.*
%{_libdir}/libxslt-plugins
%{prefix}/bin/xsltproc

%files devel
%defattr(-, root, root)

%doc AUTHORS NEWS README Copyright TODO FEATURES
%doc doc/libxslt-api.xml
%doc doc/libxslt-refs.xml
%doc doc/EXSLT/libexslt-api.xml
%doc doc/EXSLT/libexslt-refs.xml
%doc %{_mandir}/man3/libxslt.3*
%doc %{_mandir}/man3/libexslt.3*
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{prefix}/share/aclocal/libxslt.m4
%{prefix}/include/*
%{prefix}/bin/xslt-config
%{_libdir}/pkgconfig/libxslt.pc
%{_libdir}/pkgconfig/libexslt.pc

%files python
%defattr(-, root, root)

%doc AUTHORS NEWS README Copyright FEATURES
%{_libdir}/python*/site-packages/libxslt.py*
%{_libdir}/python*/site-packages/libxsltmod*
%doc python/TODO
%doc python/libxsltclass.txt
%doc python/tests/*.py
%doc python/tests/*.xml
%doc python/tests/*.xsl

%changelog
* Thu Dec 10 2012 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Sep  4 2012 Daniel Veillard <veillard@redhat.com> - 1.1.17-4.el5_8.3
- CVE-2012-2825 requires an extra patch on 1.1.17

* Tue Sep  4 2012 Daniel Veillard <veillard@redhat.com> - 1.1.17-4.el5_8.2
- remove the ChangeLog.gz which was raising multilib problems

* Mon Sep  3 2012 Daniel Veillard <veillard@redhat.com> - 1.1.17-4.el5_8.1
- fixes CVE-2011-1202 CVE-2011-3970 CVE-2012-2825 CVE-2012-2871 CVE-2012-2870
- Fix portability to upcoming libxml2-2.9.0
- Fix generate-id() to not expose object addresses (CVE-2011-1202)
- Fix some case of pattern parsing errors (CVE-2011-3970)
- Fix a bug in selecting XSLT elements (CVE-2012-2825)
- Fix default template processing on namespace nodes (CVE-2012-2871)
- Fixed problem with namespace on compound predicate
- Fix direct pattern matching bug
- Big fixes of pattern compilations
- Fixes #527297 general patter comps fix and cleanup other cleanups Daniel
- QName parsing fix for patterns
- Cleanup of the pattern compilation code (CVE-2012-2870)
- Hardening of code checking node types in various entry point (CVE-2012-2870)
- Hardening of code checking node types in EXSLT (CVE-2012-2870)
- Fix system-property with unknown namespace
- Xsltproc should return an error code if xinclude fails
- Fix a dictionary string usage
- Avoid a heap use after free error

* Tue Jul 22 2008 Daniel Veillard <veillard@redhat.com> - 1.1.17-4.el5
- fix various problems in libexslt RC4 encryption/decryption functions
- resolves: rhbz#456233

* Mon May 19 2008 Daniel Veillard <veillard@redhat.com> - 1.1.17-3.el5
- fix a max number of steps in pattern match expressions bug
- resolves: rhbz#446892

* Thu Jan 11 2007 Daniel Veillard <veillard@redhat.com> - 1.1.17-2
- fix multilib.patch to avoid bug #222167
- Resolves: rhbz#222167

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.1.17-1.1
- rebuild

* Tue Jun  6 2006 Daniel Veillard <veillard@redhat.com>
- upstream release 1.1.17 see http://xmlsoft.org/XSLT/news.html
